#!/usr/bin/bash

http_response=$(curl -s -L -o list.csv -w "%{http_code}" "https://docs.google.com/spreadsheets/d/e/2PACX-1vTXE8HCavThmJt1Wshy3GyF2ZJ-264SbNRVucsPUe2rbEgpm-e3tqsX-8K2mwsG4ozBj6qUyOOd4RMe/pub?gid=1832580214&single=true&output=csv")
if [ $http_response != "200" ]; then
	#echo "page not found"
	#cat list.csv
	git reset --hard
    exit 1

else
    git config user.name 'user2'
    git config user.email 'user2@localhost'
    git remote set-url origin https://x-access-token:$GITHUB_TOKEN@gitea.demb.uk/$GITHUB_REPOSITORY
    git diff "list.csv"
    git diff "list.csv" | bash stdin2discord.bash
	git add "list.csv"
	git commit -m "commit"
	git push
fi
